<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	 
	<!-- using us-ascii encoding because special characters like &#49; would be 
		 replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" valign="top" align="center">DIZIONARIO <span style="background:#FF4040">&#160;GIAPPONESE </span>&#160;HOEPLI</td>
	</tr>
	<tr><td valign="top" height="100%">				
		<div class="Entry">
		<xsl:apply-templates select="HEAD" />
		<xsl:apply-templates select="BODY" />
		</div>
	</td></tr>
	</table>
	</xsl:template>

	<xsl:template match="HEAD">
	<div class="Head">
		<xsl:variable name="image"><xsl:value-of select="$view.details.headimage"/></xsl:variable>
		<img src="hpjap/images/{$image}" alt=""/>&#160;<xsl:apply-templates />
	</div>
	</xsl:template>

	<xsl:template match="BODY">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="Part">
		<div class="Part">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<xsl:template match="Acception">
		<P class="Acception">
			<span class="Num"><xsl:value-of select="@Num" />&#160;</span>
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="SubAcc">
		<P class="SubAcc">
			<xsl:apply-templates />
		</P>
	</xsl:template>

	<xsl:template match="Img">
		<p><br/><xsl:variable name="file"><xsl:value-of select="@File"/></xsl:variable>
		<img src="hpjap/images/{$file}" alt="" border=""/></p>
	</xsl:template>

	<xsl:template match="Xref">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a href="javascript:detail('{$link}')"><span class="Xref"><xsl:apply-templates /></span></a>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="XrefJ">
		<span class="XrefJ"><xsl:apply-templates /></span>
	</xsl:template>

	<!-- Character replacments -->
	<xsl:template match="Cat">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="CatJ">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-CatJ.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Gram">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Gram.xml"))/tooltips/Gram[@short=current()]/@long'/></xsl:variable>
		<span class="Gram" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="GramJ">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-GramJ.xml"))/tooltips/Gram[@short=current()]/@long'/></xsl:variable>
		<span class="Gram" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="HwordJ">
		<span class="HwordJ"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Alias">
		<span class="Alias"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="AliasJ">
		<span class="AliasJ"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubAlias">
		<span class="SubAlias"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubAliasJ">
		<span class="SubAliasJ"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Var">
		<span class="Var"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Loc">
		<span class="Loc"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="LocJ">
		<span class="LocJ"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="s">
		<span class="s"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Jap">
		<span class="Jap"><xsl:apply-templates /></span>
	</xsl:template>	

	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	

</xsl:stylesheet>
